%define		php5_extension	pdo

Name:	 	php5-%php5_extension
Version:	%php5_version
Release:	%php5_release

Summary:	PHP5 Data Objects Interface

License:	PHP Licence
Group:		System/Servers
URL:		http://www.php.net/manual/en/book.pdo.php
#URL:		http://pecl.php.net/package/pdo

Packager:	Nikolay A. Fetisov <naf@altlinux.ru>

#Source0:	standart PHP module
Source1:	php-%php5_extension.ini
Source2:	php-%php5_extension-params.sh

BuildRequires(pre): rpm-build-php5
BuildRequires: php5-devel = %php5_version-%php5_release
BuildRequires: gcc-c++ 


%description
PHP5 PDO extension provides a uniform data access interface, supporting advanced
features such as prepared statements and bound parameters. 
PDO drivers are dynamically loadable and may be developed independently from the 
core, but still accessed using the same API.


%prep
%setup -T -c
cp -pr -- %php5_extsrcdir/%php5_extension/* .

%build
phpize

BUILD_HAVE=`echo %php5_extension | tr '[:lower:]-' '[:upper:]_'`
%add_optflags -fPIC -L%_libdir
export LDFLAGS=-lphp-%_php5_version
%configure \
	--with-%php5_extension \
	--with-libdir=%_lib \
	#

%php5_make

%install
%php5_make_install
install -D -m 644 -- %SOURCE1 %buildroot/%php5_extconf/%php5_extension/config
install -D -m 644 -- %SOURCE2 %buildroot/%php5_extconf/%php5_extension/params

%files
%php5_extconf/%php5_extension
%php5_extdir/*
%doc CREDITS README TODO
%exclude %php5_includedir/*

%post
%php5_extension_postin

%preun
%php5_extension_preun

%changelog
* Sun Oct 12 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080920-alt1
- Rebuild for PHP 5.2.7.20080920 

* Fri Jul 11 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080627-alt1
- Rebuild for PHP 5.2.7

* Fri May 16 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.5-alt1.2
- Rebuild to fix Requires on pdo_* modules (#15580)

* Tue Apr 15 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.5-alt1.1
- PDO is a standart PHP extention now, use sources from PHP distribution

* Sun Apr 06 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.5-alt1
- Rebuild for PHP 5.2.5-alt1

* Wed Jun 06 2007 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.3-alt1
- Rebuild for PHP 5.2.3-alt1

* Tue May 15 2007 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.2-alt1
- Rebuild for PHP 5.2.2-alt1

* Wed Apr 18 2007 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.1-alt2
- Rebuild for PHP 5.2.1-alt2

* Fri Mar 23 2007 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.1-alt1
- Initial build for ALT Linux Sisyphus

